/*
 * FormatCommandCenterInBand.java
 *
 * Created on 9 mei 2005, 21:36
 */

package it.businesslogic.ireport.gui.command;

import it.businesslogic.ireport.OperationType;
import it.businesslogic.ireport.crosstab.CrosstabCell;
import java.awt.Point;

/**
 *
 */
public class FormatCommandCenterInBandV extends FormatCommand {
    {
        operationType = OperationType.CENTER_IN_BAND_V;
    }
    
    void modify() {
        
        if (re.getBand() == null) // Perform a center in cell...
        {
            CrosstabCell cell = re.getCell();
            int centery = cell.getTop() + 10 + (cell.getHeight()/2);
         
            re.setPosition(new Point(re.getPosition().x, centery-(re.getHeight()/2)));
            re.updateRelativePosition();
        }
        else
        {
            int centery = jrf.getReport().getBandYLocation(re.getBand()) + 10 + re.getBand().getHeight()/2 ;
            re.setPosition(new Point(re.getPosition().x, centery-(re.getHeight()/2)));
        }
        
    }
    
}
